"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const styleHelpers_1 = require("../../utils/styleHelpers");
const ChevronRightIcon_1 = tslib_1.__importDefault(require("./ChevronRightIcon"));
function BreadcrumbElement({ path, groupId, breadcrumb, isCurrentPage = false, onClick, }) {
    // If it's a parent breadcrumb but doesn't have a path and label OR
    // It is a current page and it doesn't have a label, don't render.
    if ((!isCurrentPage && !path && !breadcrumb) || (isCurrentPage && !breadcrumb)) {
        return null;
    }
    const handleClick = () => {
        if (onClick && groupId) {
            onClick(groupId);
        }
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("li", { className: (0, styleHelpers_1.concatStyles)('cio-plp-breadcrumb', !isCurrentPage && 'cio-plp-parent-breadcrumb') }, !isCurrentPage ? (react_1.default.createElement("button", { type: 'button', onClick: handleClick }, breadcrumb)) : (react_1.default.createElement("span", null, breadcrumb))),
        !isCurrentPage && react_1.default.createElement(ChevronRightIcon_1.default, null)));
}
exports.default = BreadcrumbElement;
