"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const useCioBreadcrumb_1 = tslib_1.__importDefault(require("../../hooks/useCioBreadcrumb"));
const utils_1 = require("./utils");
const BreadcrumbElement_1 = tslib_1.__importDefault(require("./BreadcrumbElement"));
const MoreBreadcrumbsMenu_1 = tslib_1.__importDefault(require("./MoreBreadcrumbsMenu"));
function Breadcrumbs(props) {
    const { breadcrumbs = [], currentPage, onBreadcrumbClick } = (0, useCioBreadcrumb_1.default)(props);
    if (!currentPage && (!breadcrumbs || breadcrumbs.length === 0))
        return null;
    const { firstItems, middle, lastItems } = (0, utils_1.splitBreadcrumbs)(breadcrumbs);
    return (react_1.default.createElement("nav", { "aria-label": 'plp-breadcrumbs' },
        react_1.default.createElement("ul", { className: 'cio-breadcrumbs-container' },
            firstItems.map((breadcrumb) => (react_1.default.createElement(BreadcrumbElement_1.default, Object.assign({ key: breadcrumb.path }, breadcrumb, { onClick: onBreadcrumbClick })))),
            middle.length > 0 && react_1.default.createElement(MoreBreadcrumbsMenu_1.default, { breadcrumbs: middle }),
            lastItems.map((breadcrumb) => (react_1.default.createElement(BreadcrumbElement_1.default, Object.assign({ key: breadcrumb.path }, breadcrumb, { onClick: onBreadcrumbClick })))),
            react_1.default.createElement(BreadcrumbElement_1.default, { breadcrumb: currentPage, isCurrentPage: true }))));
}
exports.default = Breadcrumbs;
