"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const ChevronRightIcon_1 = tslib_1.__importDefault(require("./ChevronRightIcon"));
const EllipsisIcon_1 = tslib_1.__importDefault(require("./EllipsisIcon"));
function MoreBreadcrumbsMenu({ breadcrumbs }) {
    const [expanded, setExpanded] = react_1.default.useState(false);
    const moreMenuRef = react_1.default.useRef(null);
    const openMenuRef = react_1.default.useRef(null);
    react_1.default.useEffect(() => {
        function handleClickOutsideMenu(event) {
            var _a;
            if (moreMenuRef.current &&
                !moreMenuRef.current.contains(event.target) &&
                !((_a = openMenuRef.current) === null || _a === void 0 ? void 0 : _a.contains(event.target))) {
                setExpanded(false);
            }
        }
        document.addEventListener('mousedown', handleClickOutsideMenu);
        return () => {
            document.removeEventListener('mousedown', handleClickOutsideMenu);
        };
    }, [moreMenuRef]);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("li", { className: 'cio-plp-parent-breadcrumb cio-plp-more-breadcrumbs-menu' },
            react_1.default.createElement("button", { id: 'cio-more-menu-button', "data-testid": 'cio-more-menu-button', type: 'button', "aria-haspopup": true, "aria-expanded": expanded, "aria-controls": 'cio-more-menu', ref: openMenuRef, onClick: () => {
                    setExpanded(!expanded);
                } },
                react_1.default.createElement(EllipsisIcon_1.default, null)),
            react_1.default.createElement("nav", { id: 'cio-more-menu', "data-testid": 'cio-more-menu', role: 'region', ref: moreMenuRef, "aria-labelledby": 'cio-more-menu-button', "aria-hidden": !expanded }, expanded && (react_1.default.createElement("ul", { role: 'menu' }, breadcrumbs.map((breadcrumbItem) => (react_1.default.createElement("li", { key: breadcrumbItem.path },
                react_1.default.createElement("a", { href: breadcrumbItem.path }, breadcrumbItem.breadcrumb)))))))),
        react_1.default.createElement(ChevronRightIcon_1.default, null)));
}
exports.default = MoreBreadcrumbsMenu;
