"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const useRequestConfigs_1 = tslib_1.__importDefault(require("../../../hooks/useRequestConfigs"));
/**
 * Renders the 'no results' component if search results returns no items.
 *
 * @component
 * @returns {JSX.Element} The 'no results' component
 */
function ZeroResults() {
    const { getRequestConfigs } = (0, useRequestConfigs_1.default)();
    const { query } = getRequestConfigs();
    if (query) {
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement("div", { className: 'cio-zero-results-header' },
                "Sorry, we didn\u2019t find: \u201C",
                query,
                "\u201D"),
            react_1.default.createElement("ul", { className: 'cio-zero-results-option-list' },
                react_1.default.createElement("li", null, "Check for typos"),
                react_1.default.createElement("li", null, "Use fewer keywords"),
                react_1.default.createElement("li", null, "Broaden your search terms"))));
    }
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("div", { className: 'cio-zero-results-header' }, "Sorry, we were unable to find what you were looking for."),
        react_1.default.createElement("ul", { className: 'cio-zero-results-option-list' },
            react_1.default.createElement("li", null, "Check for typos"),
            react_1.default.createElement("li", null, "Use fewer keywords"),
            react_1.default.createElement("li", null, "Broaden your search terms"))));
}
exports.default = ZeroResults;
