"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const utils_1 = require("../../utils");
const FilterOptionsList_1 = tslib_1.__importDefault(require("./FilterOptionsList"));
const FilterRangeSlider_1 = tslib_1.__importDefault(require("./FilterRangeSlider"));
function FilterGroup(props) {
    const { facet, setFilter, initialNumOptions = 10 } = props;
    const [isCollapsed, setIsCollapsed] = (0, react_1.useState)(false);
    const toggleIsCollapsed = () => setIsCollapsed(!isCollapsed);
    const onFilterSelect = (facetName) => (value) => {
        setFilter(facetName, value);
    };
    return (react_1.default.createElement("li", { className: 'cio-filter-group' },
        react_1.default.createElement("button", { className: 'cio-filter-header', type: 'button', onClick: toggleIsCollapsed },
            facet.displayName,
            react_1.default.createElement("i", { className: `cio-arrow ${isCollapsed ? 'cio-arrow-up' : 'cio-arrow-down'}` })),
        (0, utils_1.isMultipleOrBucketedFacet)(facet) && (react_1.default.createElement(FilterOptionsList_1.default, { isCollapsed: isCollapsed, multipleFacet: facet, modifyRequestMultipleFilter: onFilterSelect(facet.name), initialNumOptions: initialNumOptions })),
        (0, utils_1.isRangeFacet)(facet) && (react_1.default.createElement(FilterRangeSlider_1.default, { isCollapsed: isCollapsed, rangedFacet: facet, modifyRequestRangeFilter: onFilterSelect(facet.name) }))));
}
exports.default = FilterGroup;
