"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
function FilterOptionListRow(props) {
    const { id, displayValue, displayCountValue, isChecked, onChange, showCheckbox = true } = props;
    return (react_1.default.createElement("li", { className: 'cio-filter-multiple-option', key: id },
        react_1.default.createElement("label", { htmlFor: id },
            react_1.default.createElement("input", { type: 'checkbox', id: id, value: displayValue, checked: isChecked, onChange: () => onChange(id) }),
            showCheckbox && (react_1.default.createElement("div", { className: 'cio-checkbox' },
                react_1.default.createElement("svg", { width: '10', height: '8', viewBox: '0 0 10 8', fill: 'none', xmlns: 'http://www.w3.org/2000/svg', className: 'cio-check' },
                    react_1.default.createElement("path", { d: 'M1 4L3.5 6.5L9 1', stroke: 'white', strokeWidth: '1.7', strokeLinecap: 'round' })))),
            react_1.default.createElement("div", { className: 'cio-filter-multiple-option-display' },
                react_1.default.createElement("span", { className: 'cio-filter-option-name' }, displayValue),
                displayCountValue && (react_1.default.createElement("span", { className: 'cio-filter-option-count' }, displayCountValue))))));
}
exports.default = FilterOptionListRow;
