"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const classnames_1 = tslib_1.__importDefault(require("classnames"));
const UseFilterOptionsList_1 = tslib_1.__importDefault(require("./UseFilterOptionsList"));
const FilterOptionListRow_1 = tslib_1.__importDefault(require("./FilterOptionListRow"));
function FilterOptionsList(props) {
    const { facet, initialNumOptions, isCollapsed, isShowAll, setIsShowAll, optionsToRender, selectedOptionMap, onOptionSelect, } = (0, UseFilterOptionsList_1.default)(props);
    if (optionsToRender.length === 0)
        return null;
    return (react_1.default.createElement("div", { className: (0, classnames_1.default)({
            'cio-collapsible-wrapper': true,
            'cio-collapsible-is-open': !isCollapsed,
        }) },
        react_1.default.createElement("ul", { className: 'cio-filter-multiple-options-list cio-collapsible-inner' },
            optionsToRender.map((option) => (react_1.default.createElement(FilterOptionListRow_1.default, { id: option.value, displayValue: option.displayName, displayCountValue: option.count.toString(), isChecked: selectedOptionMap[option.value] || false, onChange: onOptionSelect }))),
            initialNumOptions < facet.options.length && (react_1.default.createElement("button", { type: 'button', className: 'cio-see-all', onClick: () => setIsShowAll(!isShowAll) }, isShowAll ? 'Show Less' : 'Show All')))));
}
exports.default = FilterOptionsList;
