"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
/* eslint-disable react/no-array-index-key */
const react_1 = tslib_1.__importDefault(require("react"));
const FilterGroup_1 = tslib_1.__importDefault(require("./FilterGroup"));
const useFilter_1 = tslib_1.__importDefault(require("../../hooks/useFilter"));
function Filters(props) {
    const { children, initialNumOptions } = props, useFiltersProps = tslib_1.__rest(props, ["children", "initialNumOptions"]);
    const { facets, setFilter } = (0, useFilter_1.default)(useFiltersProps);
    return (react_1.default.createElement(react_1.default.Fragment, null, typeof children === 'function' ? (children({
        facets,
        setFilter,
    })) : (react_1.default.createElement("div", { className: 'cio-filters' }, facets.map((facet) => (react_1.default.createElement(FilterGroup_1.default, { facet: facet, initialNumOptions: initialNumOptions, setFilter: setFilter, key: facet.name })))))));
}
exports.default = Filters;
