"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = require("react");
const useOptionsList_1 = tslib_1.__importDefault(require("../../hooks/useOptionsList"));
function useFilterOptionsList(props) {
    const { multipleFacet: facet, initialNumOptions, modifyRequestMultipleFilter, isCollapsed, } = props;
    const { isShowAll, setIsShowAll, optionsToRender, setOptionsToRender } = (0, useOptionsList_1.default)({
        options: facet.options,
        initialNumOptions,
    });
    const [selectedOptionMap, setSelectedOptionMap] = (0, react_1.useState)({});
    const onOptionSelect = (optionValue) => {
        const newMap = Object.assign({}, selectedOptionMap);
        newMap[optionValue] = !newMap[optionValue];
        const selectedOptions = Object.keys(newMap).filter((key) => newMap[key]);
        setSelectedOptionMap(newMap);
        modifyRequestMultipleFilter(selectedOptions.length ? selectedOptions : null);
    };
    (0, react_1.useEffect)(() => {
        const newSelectedOptionsMap = {};
        facet.options.forEach((option) => {
            newSelectedOptionsMap[option.value] = option.status === 'selected';
        });
        setSelectedOptionMap(newSelectedOptionsMap);
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [facet]);
    return {
        // props
        facet,
        initialNumOptions,
        modifyRequestMultipleFilter,
        isCollapsed,
        // useFilterOptionsList
        isShowAll,
        setIsShowAll,
        optionsToRender,
        setOptionsToRender,
        selectedOptionMap,
        setSelectedOptionMap,
        onOptionSelect,
    };
}
exports.default = useFilterOptionsList;
