"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const classnames_1 = tslib_1.__importDefault(require("classnames"));
const useGroups_1 = tslib_1.__importDefault(require("../../hooks/useGroups"));
const FilterOptionListRow_1 = tslib_1.__importDefault(require("../Filters/FilterOptionListRow"));
function Groups(props) {
    const { isCollapsed: isCollapsedDefault = false, title = 'Categories', children, groups } = props;
    const useGroupsReturn = (0, useGroups_1.default)(props);
    const { optionsToRender, breadcrumbs, initialNumOptions, selectedGroupId, onOptionSelect, goToGroupFilter, isShowAll, setIsShowAll, } = useGroupsReturn;
    const [isCollapsed, setIsCollapsed] = (0, react_1.useState)(isCollapsedDefault);
    if (breadcrumbs.length === 0 && optionsToRender.length === 0)
        return null;
    return (react_1.default.createElement(react_1.default.Fragment, null, typeof children === 'function' ? (children(useGroupsReturn)) : (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("button", { className: 'cio-filter-header', type: 'button', onClick: () => setIsCollapsed(!isCollapsed) },
            title,
            react_1.default.createElement("i", { className: `cio-arrow ${isCollapsed ? 'cio-arrow-up' : 'cio-arrow-down'}` })),
        react_1.default.createElement("div", { className: (0, classnames_1.default)({
                'cio-collapsible-wrapper': true,
                'cio-collapsible-is-open': !isCollapsed,
            }) },
            react_1.default.createElement("div", { className: 'cio-collapsible-inner cio-groups cio-filter-groups-options-list' },
                react_1.default.createElement("div", { className: 'cio-groups-breadcrumbs' },
                    breadcrumbs.map((crumb) => (react_1.default.createElement("span", { key: crumb.path },
                        react_1.default.createElement("button", { className: 'cio-groups-crumb', onClick: () => goToGroupFilter(crumb), type: 'button' }, crumb.breadcrumb),
                        ' > '))),
                    react_1.default.createElement("span", { className: 'cio-groups-crumb' }, groups[0].displayName)),
                react_1.default.createElement("ul", null,
                    optionsToRender.map((option) => (react_1.default.createElement(FilterOptionListRow_1.default, { showCheckbox: false, key: option.groupId, id: option.groupId, displayValue: option.displayName, displayCountValue: option.count.toString(), isChecked: selectedGroupId === option.groupId, onChange: onOptionSelect }))),
                    initialNumOptions < groups[0].children.length && (react_1.default.createElement("button", { type: 'button', className: 'cio-see-all', onClick: () => setIsShowAll(!isShowAll) }, isShowAll ? 'Show Less' : 'Show All')))))))));
}
exports.default = Groups;
