"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const classnames_1 = tslib_1.__importDefault(require("classnames"));
const react_1 = tslib_1.__importStar(require("react"));
function MobileModal(props) {
    const { side = 'left', isOpen, setIsOpen, children } = props;
    const modalRef = (0, react_1.useRef)(null);
    const [isAnimating, setIsAnimating] = (0, react_1.useState)(false);
    (0, react_1.useEffect)(() => {
        if (isOpen) {
            setIsAnimating(true);
            document.body.classList.add('cio-mobile-modal-backdrop-no-scroll');
        }
        else {
            document.body.classList.remove('cio-mobile-modal-backdrop-no-scroll');
        }
    }, [isOpen]);
    const onClose = () => {
        var _a, _b;
        setIsAnimating(false);
        (_b = (_a = modalRef.current) === null || _a === void 0 ? void 0 : _a.querySelector('.cio-mobile-modal-wrapper')) === null || _b === void 0 ? void 0 : _b.addEventListener('transitionend', () => {
            setIsOpen(false);
        });
    };
    if (!isOpen) {
        return null;
    }
    return (react_1.default.createElement("aside", { ref: modalRef, className: (0, classnames_1.default)(`cio-mobile-modal-container cio-mobile-only cio-mobile-modal-${side}`, {
            'cio-mobile-modal-open': isAnimating,
        }) },
        react_1.default.createElement("div", { className: 'cio-mobile-modal-backdrop', role: 'presentation', onClick: onClose }),
        react_1.default.createElement("div", { className: 'cio-mobile-modal-wrapper' },
            react_1.default.createElement("div", { className: 'cio-mobile-modal-content' }, children))));
}
exports.default = MobileModal;
