"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
/* eslint-disable jsx-a11y/click-events-have-key-events */
const react_1 = tslib_1.__importDefault(require("react"));
const useCioPlpContext_1 = require("../../hooks/useCioPlpContext");
const utils_1 = require("../../utils");
function ProductSwatch(props) {
    const context = (0, useCioPlpContext_1.useCioPlpContext)();
    const { swatchObject, children } = props;
    const { swatchList, selectVariation, selectedVariation } = swatchObject;
    if (!context) {
        throw new Error('This component is meant to be used within the context of the CioPlpProvider');
    }
    const { callbacks: { onSwatchClick }, } = context;
    const swatchClickHandler = (e, clickedSwatch) => {
        selectVariation(clickedSwatch);
        if (onSwatchClick) {
            onSwatchClick(e, clickedSwatch);
        }
    };
    const swatchContainerClickHandler = (e) => {
        e.preventDefault();
    };
    return (react_1.default.createElement(react_1.default.Fragment, null, typeof children === 'function' ? (children({
        swatchList,
        selectVariation,
        selectedVariation,
    })) : (
    /* eslint-disable jsx-a11y/no-static-element-interactions */
    react_1.default.createElement("div", { onClick: swatchContainerClickHandler },
        react_1.default.createElement("ul", { className: 'cio-swatch-container' }, swatchList === null || swatchList === void 0 ? void 0 : swatchList.map((swatch) => {
            const isSelected = (selectedVariation === null || selectedVariation === void 0 ? void 0 : selectedVariation.variationId) === swatch.variationId;
            const color = (0, utils_1.isHexColor)(swatch === null || swatch === void 0 ? void 0 : swatch.swatchPreview)
                ? swatch === null || swatch === void 0 ? void 0 : swatch.swatchPreview
                : `url(${swatch === null || swatch === void 0 ? void 0 : swatch.swatchPreview})`;
            return (react_1.default.createElement("button", { type: 'button', key: swatch.variationId, "data-cnstrc-variation-id": swatch.variationId, "data-testid": `cio-swatch-${swatch.variationId}`, className: 'cio-swatch-button cio-swatch-item', onClick: (e) => swatchClickHandler(e, swatch), style: {
                    background: color,
                } }, isSelected && (react_1.default.createElement("div", { "data-cnstrc-variation-id": swatch.variationId, className: 'cio-swatch-selected', style: { outline: `3px solid ${color}` } }))));
        }))))));
}
exports.default = ProductSwatch;
