"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const useSort_1 = tslib_1.__importDefault(require("../../hooks/useSort"));
const MobileModal_1 = tslib_1.__importDefault(require("../MobileModal"));
function Sort({ isOpen: defaultOpen = true, sortOptions: sortOptionsFromProps, children, }) {
    const [isOpen, setIsOpen] = (0, react_1.useState)(defaultOpen);
    const { sortOptions, selectedSort, changeSelectedSort } = (0, useSort_1.default)({
        sortOptions: sortOptionsFromProps,
    });
    const toggleCollapsible = () => {
        setIsOpen(!isOpen);
    };
    const isChecked = (0, react_1.useCallback)((option) => (selectedSort === null || selectedSort === void 0 ? void 0 : selectedSort.sortBy) === option.sortBy && (selectedSort === null || selectedSort === void 0 ? void 0 : selectedSort.sortOrder) === option.sortOrder, [selectedSort]);
    const getOptionId = (option, idSuffix = '') => `${option.sortBy}-${option.sortOrder}${idSuffix}`;
    const genDefaultMarkup = (0, react_1.useCallback)((idSuffix = '') => {
        const handleOptionChange = (event) => {
            changeSelectedSort(JSON.parse(event.target.value));
        };
        return sortOptions.map((option) => (react_1.default.createElement("label", { htmlFor: getOptionId(option, idSuffix), key: `${getOptionId(option, idSuffix)}${isChecked(option) ? '-checked' : ''}` },
            react_1.default.createElement("input", { id: getOptionId(option, idSuffix), type: 'radio', name: getOptionId(option, idSuffix), value: JSON.stringify(option), checked: isChecked(option), onChange: handleOptionChange }),
            react_1.default.createElement("span", null, option.displayName))));
    }, [changeSelectedSort, isChecked, sortOptions]);
    return (react_1.default.createElement(react_1.default.Fragment, null, typeof children === 'function' ? (children({
        sortOptions,
        selectedSort,
        changeSelectedSort,
    })) : (react_1.default.createElement("div", { className: 'cio-plp-sort' },
        react_1.default.createElement("button", { type: 'button', className: 'collapsible', onClick: toggleCollapsible },
            (selectedSort === null || selectedSort === void 0 ? void 0 : selectedSort.displayName) ? (react_1.default.createElement("span", { className: 'cio-plp-sort-button-label' },
                react_1.default.createElement("span", { className: 'cio-large-screen-only' }, "Sort by:"),
                react_1.default.createElement("span", { className: 'cio-mobile-only' }, "By"),
                " ",
                selectedSort.displayName)) : ('Sort'),
            react_1.default.createElement("i", { className: `arrow ${isOpen ? 'arrow-up' : 'arrow-down'}` })),
        react_1.default.createElement(MobileModal_1.default, { side: 'right', isOpen: isOpen, setIsOpen: setIsOpen }, genDefaultMarkup('-mobile')),
        isOpen && (react_1.default.createElement("div", { className: 'collapsible-content cio-large-screen-only' }, genDefaultMarkup()))))));
}
exports.default = Sort;
Sort.defaultProps = {
    isOpen: true,
};
