"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
/* eslint-disable max-len */
const react_1 = require("react");
const useRequestConfigs_1 = tslib_1.__importDefault(require("../useRequestConfigs"));
function useOnAddToCart(cioClient, callback) {
    const { getRequestConfigs } = (0, useRequestConfigs_1.default)();
    const requestConfigs = getRequestConfigs();
    if (!requestConfigs) {
        throw new Error('This hook is meant to be used within the CioPlp provider.');
    }
    return (0, react_1.useCallback)((event, item, revenue, selectedVariationId) => {
        var _a, _b;
        const { itemId, itemName, variationId } = item;
        const { query, section } = requestConfigs;
        let selectedVariation;
        if (cioClient) {
            cioClient.tracker.trackConversion(query, {
                itemId,
                itemName,
                variationId: selectedVariationId || variationId,
                revenue,
                section,
            });
        }
        if (selectedVariationId) {
            selectedVariation = (_b = (_a = item.variations) === null || _a === void 0 ? void 0 : _a.filter((variation) => variation.variationId === selectedVariationId)) === null || _b === void 0 ? void 0 : _b[0];
        }
        if (callback)
            callback(event, item, selectedVariation);
        event.preventDefault();
        event.stopPropagation();
    }, [callback, cioClient, requestConfigs]);
}
exports.default = useOnAddToCart;
