"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
/* eslint-disable max-len */
const react_1 = require("react");
const useRequestConfigs_1 = tslib_1.__importDefault(require("../useRequestConfigs"));
function useOnProductCardClick(cioClient, callback) {
    const { getRequestConfigs } = (0, useRequestConfigs_1.default)();
    const requestConfigs = getRequestConfigs();
    if (!requestConfigs) {
        throw new Error('This hook is meant to be used within the CioPlp provider.');
    }
    return (0, react_1.useCallback)((event, item, selectedVariationId) => {
        const { itemName, itemId, variationId } = item;
        const { query, section } = requestConfigs;
        if (cioClient) {
            // Track search result click
            if (query) {
                cioClient.tracker.trackSearchResultClick(query, {
                    itemId,
                    itemName,
                    variationId: selectedVariationId || variationId,
                    section,
                });
            }
        }
        if (callback)
            callback(event, item);
    }, [callback, cioClient, requestConfigs]);
}
exports.default = useOnProductCardClick;
