"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = require("react");
const useRequestConfigs_1 = tslib_1.__importDefault(require("./useRequestConfigs"));
const generateBreadcrumbs = (currentGroup) => {
    var _a;
    let pathAccumulator = '';
    const crumbs = (_a = currentGroup === null || currentGroup === void 0 ? void 0 : currentGroup.parents) === null || _a === void 0 ? void 0 : _a.map((parent) => {
        pathAccumulator += `/${parent.groupId}`;
        return {
            path: pathAccumulator,
            groupId: parent.groupId,
            breadcrumb: parent.displayName,
        };
    });
    return crumbs || [];
};
const getCurrentGroup = (groups, filterValue) => groups.find((group) => filterValue === group.groupId);
function useCioBreadcrumb(props) {
    const { groups, filterValue } = props;
    const { setRequestConfigs } = (0, useRequestConfigs_1.default)();
    const currentGroup = (0, react_1.useMemo)(() => getCurrentGroup(groups, filterValue), [groups, filterValue]);
    const breadcrumbs = generateBreadcrumbs(currentGroup);
    const onBreadcrumbClick = (0, react_1.useCallback)((groupId) => {
        setRequestConfigs({ filterName: 'groupId', filterValue: groupId });
    }, [setRequestConfigs]);
    return { breadcrumbs, currentPage: currentGroup === null || currentGroup === void 0 ? void 0 : currentGroup.displayName, onBreadcrumbClick };
}
exports.default = useCioBreadcrumb;
