"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const constructorio_client_javascript_1 = tslib_1.__importDefault(require("@constructor-io/constructorio-client-javascript"));
const react_1 = require("react");
const version_1 = tslib_1.__importDefault(require("../version"));
const useCioClient = ({ apiKey, cioClient, options } = {}) => {
    if (!apiKey && !cioClient) {
        throw new Error('Api Key or Constructor Client required');
    }
    const memoizedCioClient = (0, react_1.useMemo)(() => {
        if (cioClient)
            return cioClient;
        if (apiKey && typeof window !== 'undefined') {
            return new constructorio_client_javascript_1.default(Object.assign({ apiKey, sendTrackingEvents: true, version: `cio-ui-plp-${version_1.default}` }, options));
        }
        return null;
    }, [apiKey, cioClient, options]);
    return memoizedCioClient;
};
exports.default = useCioClient;
