"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = require("react");
const useCioClient_1 = tslib_1.__importDefault(require("./useCioClient"));
const defaultGetters = tslib_1.__importStar(require("../utils/itemFieldGetters"));
const defaultFormatters = tslib_1.__importStar(require("../utils/formatters"));
const defaultUrlHelpers = tslib_1.__importStar(require("../utils/urlHelpers"));
function useCioPlpProvider(props) {
    const { apiKey, formatters, callbacks, itemFieldGetters, urlHelpers, staticRequestConfigs = {}, cioClient: customCioClient, cioClientOptions: customCioClientOptions = {}, } = props;
    const [cioClientOptions, setCioClientOptions] = (0, react_1.useState)(customCioClientOptions);
    const cioClient = (0, useCioClient_1.default)({ apiKey, cioClient: customCioClient, options: cioClientOptions });
    const contextValue = (0, react_1.useMemo)(() => ({
        cioClient,
        cioClientOptions,
        setCioClientOptions,
        staticRequestConfigs,
        itemFieldGetters: Object.assign(Object.assign({}, defaultGetters), itemFieldGetters),
        formatters: Object.assign(Object.assign({}, defaultFormatters), formatters),
        callbacks: Object.assign({}, callbacks),
        urlHelpers: Object.assign(Object.assign({}, defaultUrlHelpers), urlHelpers),
    }), [
        cioClient,
        cioClientOptions,
        itemFieldGetters,
        formatters,
        callbacks,
        urlHelpers,
        staticRequestConfigs,
    ]);
    return contextValue;
}
exports.default = useCioPlpProvider;
