"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const useCioPlpContext_1 = require("./useCioPlpContext");
const useRequestConfigs_1 = tslib_1.__importDefault(require("./useRequestConfigs"));
function useFilter(props) {
    const { facets } = props;
    const contextValue = (0, useCioPlpContext_1.useCioPlpContext)();
    if (!contextValue) {
        throw new Error('useFilter must be used within a component that is a child of <CioPlp />');
    }
    const { getRequestConfigs, setRequestConfigs } = (0, useRequestConfigs_1.default)();
    const { filters: requestFilters } = getRequestConfigs();
    const setFilter = (filterName, filterValue) => {
        const newFilters = requestFilters || {};
        newFilters[filterName] = filterValue;
        // Remove filter entirely
        if (filterValue === null) {
            delete newFilters[filterName];
        }
        setRequestConfigs({ filters: newFilters, page: 1 });
    };
    return {
        facets,
        setFilter,
    };
}
exports.default = useFilter;
