"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function useOptionsList(props) {
    const { options, initialNumOptions = 5 } = props;
    const [isShowAll, setIsShowAll] = (0, react_1.useState)(false);
    const [optionsToRender, setOptionsToRender] = (0, react_1.useState)(options);
    (0, react_1.useEffect)(() => {
        if (isShowAll) {
            setOptionsToRender(options);
        }
        else {
            setOptionsToRender(options.slice(0, initialNumOptions));
        }
    }, [isShowAll, options, initialNumOptions]);
    return {
        // props
        initialNumOptions,
        isShowAll,
        setIsShowAll,
        optionsToRender,
        setOptionsToRender,
    };
}
exports.default = useOptionsList;
