"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const useProductSwatch_1 = tslib_1.__importDefault(require("./useProductSwatch"));
const useCioPlpContext_1 = require("./useCioPlpContext");
const utils_1 = require("../utils");
const useProductInfo = ({ item }) => {
    var _a, _b, _c, _d, _e, _f;
    const state = (0, useCioPlpContext_1.useCioPlpContext)();
    const productSwatch = (0, useProductSwatch_1.default)({ item });
    if (!item.data || !item.itemId || !item.itemName) {
        throw new Error('data, itemId, or itemName are required.');
    }
    const getPrice = (0, utils_1.tryCatchify)((_a = state === null || state === void 0 ? void 0 : state.itemFieldGetters) === null || _a === void 0 ? void 0 : _a.getPrice);
    const itemName = ((_b = productSwatch === null || productSwatch === void 0 ? void 0 : productSwatch.selectedVariation) === null || _b === void 0 ? void 0 : _b.itemName) || item.itemName;
    const itemPrice = ((_c = productSwatch === null || productSwatch === void 0 ? void 0 : productSwatch.selectedVariation) === null || _c === void 0 ? void 0 : _c.price) || getPrice(item);
    const itemImageUrl = ((_d = productSwatch === null || productSwatch === void 0 ? void 0 : productSwatch.selectedVariation) === null || _d === void 0 ? void 0 : _d.imageUrl) || item.imageUrl;
    const itemUrl = ((_e = productSwatch === null || productSwatch === void 0 ? void 0 : productSwatch.selectedVariation) === null || _e === void 0 ? void 0 : _e.url) || item.url;
    const variationId = (_f = productSwatch === null || productSwatch === void 0 ? void 0 : productSwatch.selectedVariation) === null || _f === void 0 ? void 0 : _f.variationId;
    const { itemId } = item;
    return {
        productSwatch,
        itemName,
        itemPrice,
        itemImageUrl,
        itemUrl,
        variationId,
        itemId,
    };
};
exports.default = useProductInfo;
