"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const useCioPlpContext_1 = require("./useCioPlpContext");
const itemFieldGetters_1 = require("../utils/itemFieldGetters");
const useProductSwatch = ({ item }) => {
    var _a, _b, _c;
    const [selectedVariation, setSelectedVariation] = (0, react_1.useState)();
    const [swatchList, setSwatchList] = (0, react_1.useState)([]);
    const state = (0, useCioPlpContext_1.useCioPlpContext)();
    const getSwatches = ((_a = state === null || state === void 0 ? void 0 : state.itemFieldGetters) === null || _a === void 0 ? void 0 : _a.getSwatches) || itemFieldGetters_1.getSwatches;
    const getPrice = ((_b = state === null || state === void 0 ? void 0 : state.itemFieldGetters) === null || _b === void 0 ? void 0 : _b.getPrice) || itemFieldGetters_1.getPrice;
    const getSwatchPreview = ((_c = state === null || state === void 0 ? void 0 : state.itemFieldGetters) === null || _c === void 0 ? void 0 : _c.getSwatchPreview) || itemFieldGetters_1.getSwatchPreview;
    (0, react_1.useEffect)(() => {
        if (item === null || item === void 0 ? void 0 : item.variations) {
            try {
                setSwatchList(getSwatches(item, getPrice, getSwatchPreview) || []);
            }
            catch (e) {
                // do nothing
            }
        }
    }, [item, getSwatches, getPrice, getSwatchPreview]);
    (0, react_1.useEffect)(() => {
        if (item === null || item === void 0 ? void 0 : item.variations) {
            const initialSwatch = swatchList === null || swatchList === void 0 ? void 0 : swatchList.find((swatch) => (swatch === null || swatch === void 0 ? void 0 : swatch.variationId) === (item === null || item === void 0 ? void 0 : item.variationId));
            if (initialSwatch) {
                setSelectedVariation(initialSwatch);
            }
        }
    }, [swatchList, item]);
    const selectVariation = (swatch) => {
        setSelectedVariation(swatch);
    };
    return {
        swatchList,
        selectedVariation,
        selectVariation,
    };
};
exports.default = useProductSwatch;
