"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const useCioPlpContext_1 = require("./useCioPlpContext");
function useRequestConfigs() {
    const context = (0, useCioPlpContext_1.useCioPlpContext)();
    if (!context) {
        throw new Error('This Hook needs to be called within the Constructor PLP Context Provider.');
    }
    const { urlHelpers, staticRequestConfigs } = context;
    const { getUrl, setUrl, getStateFromUrl, getUrlFromState } = urlHelpers;
    const getRequestConfigs = () => {
        const url = getUrl();
        const urlRequestConfigs = url ? getStateFromUrl(url) : {};
        const page = (urlRequestConfigs === null || urlRequestConfigs === void 0 ? void 0 : urlRequestConfigs.page) || (staticRequestConfigs === null || staticRequestConfigs === void 0 ? void 0 : staticRequestConfigs.page) || 1;
        const requestConfigs = Object.assign(Object.assign(Object.assign({}, staticRequestConfigs), urlRequestConfigs), { page });
        if (!requestConfigs.filterValue || requestConfigs.filterValue === '') {
            delete requestConfigs.filterName;
            delete requestConfigs.filterValue;
        }
        return requestConfigs;
    };
    const setRequestConfigs = (configsToUpdate) => {
        const oldUrl = getUrl();
        if (!oldUrl) {
            throw new Error('getUrl returns undefined when attempting to call setRequestConfigs');
        }
        const oldRequestConfigs = oldUrl ? getStateFromUrl(oldUrl) : {};
        const newRequestConfigs = Object.assign(Object.assign({}, oldRequestConfigs), configsToUpdate);
        const newUrl = getUrlFromState(newRequestConfigs, oldUrl);
        setUrl(newUrl);
    };
    return { getRequestConfigs, setRequestConfigs };
}
exports.default = useRequestConfigs;
