"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeNullValuesFromObject = exports.tryCatchify = exports.logger = exports.sleep = void 0;
// Function to emulate pausing between interactions
function sleep(ms) {
    // eslint-disable-next-line
    return new Promise((resolve) => setTimeout(resolve, ms));
}
exports.sleep = sleep;
/* istanbul ignore next */
const logger = (error) => {
    var _a;
    try {
        if (typeof process !== 'undefined' && ((_a = process === null || process === void 0 ? void 0 : process.env) === null || _a === void 0 ? void 0 : _a.LOGGER)) {
            // eslint-disable-next-line no-console
            console.log(error);
        }
    }
    catch (e) {
        // process variable is not available and logger should not be active
    }
};
exports.logger = logger;
// eslint-disable-next-line @cspell/spellchecker
function tryCatchify(func) {
    return (...args) => {
        try {
            return func(...args);
        }
        catch (e) {
            (0, exports.logger)(e);
        }
        return undefined;
    };
}
exports.tryCatchify = tryCatchify;
function removeNullValuesFromObject(obj) {
    const filteredListOfEntries = Object.entries(obj).filter(([, val]) => val != null);
    return Object.fromEntries(filteredListOfEntries);
}
exports.removeNullValuesFromObject = removeNullValuesFromObject;
