"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPlpContainerCnstrcDataAttributes = exports.getProductCardCnstrcDataAttributes = void 0;
const typeHelpers_1 = require("./typeHelpers");
const requestConfigsHelpers_1 = require("./requestConfigsHelpers");
function getProductCardCnstrcDataAttributes(productInfo) {
    let dataCnstrc = {};
    const { itemId, itemPrice, itemName, variationId } = productInfo;
    dataCnstrc = {
        'data-cnstrc-item-id': itemId,
        'data-cnstrc-item-name': itemName,
        'data-cnstrc-item-price': itemPrice,
        'data-cnstrc-item-variation-id': variationId,
    };
    return dataCnstrc;
}
exports.getProductCardCnstrcDataAttributes = getProductCardCnstrcDataAttributes;
function getPlpContainerCnstrcDataAttributes(data, requestConfigs) {
    if (!data || (!(0, typeHelpers_1.isPlpSearchDataResults)(data) && !(0, typeHelpers_1.isPlpBrowseDataResults)(data)))
        return {};
    const { filterName, filterValue } = requestConfigs;
    const pageType = (0, requestConfigsHelpers_1.getPageType)(requestConfigs);
    let dataCnstrc = {};
    switch (pageType) {
        case 'browse':
            dataCnstrc = {
                'data-cnstrc-browse': true,
                'data-cnstrc-num-results': data.response.totalNumResults,
                'data-cnstrc-filter-name': filterName,
                'data-cnstrc-filter-value': filterValue,
            };
            break;
        case 'search':
            dataCnstrc = {
                'data-cnstrc-search': true,
                'data-cnstrc-num-results': data.response.totalNumResults,
            };
            break;
        case 'unknown':
            dataCnstrc = {};
            break;
        default:
            break;
    }
    return dataCnstrc;
}
exports.getPlpContainerCnstrcDataAttributes = getPlpContainerCnstrcDataAttributes;
