"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSwatchPreview = exports.getSwatches = exports.getPrice = void 0;
// eslint-disable-next-line import/prefer-default-export
function getPrice(item) {
    return item.data.price;
}
exports.getPrice = getPrice;
function getSwatches(item, retrievePrice, retrieveSwatchPreview) {
    var _a;
    const swatchList = [];
    (_a = item === null || item === void 0 ? void 0 : item.variations) === null || _a === void 0 ? void 0 : _a.forEach((variation) => {
        if (retrieveSwatchPreview(variation)) {
            swatchList.push({
                itemName: (variation === null || variation === void 0 ? void 0 : variation.itemName) || (item === null || item === void 0 ? void 0 : item.itemName),
                url: (variation === null || variation === void 0 ? void 0 : variation.url) || (item === null || item === void 0 ? void 0 : item.url),
                imageUrl: variation === null || variation === void 0 ? void 0 : variation.url,
                variationId: variation === null || variation === void 0 ? void 0 : variation.variationId,
                price: retrievePrice(variation),
                swatchPreview: retrieveSwatchPreview(variation),
            });
        }
    });
    return swatchList;
}
exports.getSwatches = getSwatches;
function getSwatchPreview(variation) {
    var _a;
    return (_a = variation === null || variation === void 0 ? void 0 : variation.data) === null || _a === void 0 ? void 0 : _a.swatchPreview;
}
exports.getSwatchPreview = getSwatchPreview;
