"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isOptionFacet = exports.isHierarchicalFacet = exports.isSingleFacet = exports.isMultipleOrBucketedFacet = exports.isRangeFacet = exports.isPlpBrowseDataResults = exports.isPlpSearchDataRedirect = exports.isPlpSearchDataResults = void 0;
function isPlpSearchDataResults(response) {
    return 'response' in (response || {});
}
exports.isPlpSearchDataResults = isPlpSearchDataResults;
function isPlpSearchDataRedirect(response) {
    return 'redirect' in (response || {});
}
exports.isPlpSearchDataRedirect = isPlpSearchDataRedirect;
function isPlpBrowseDataResults(response) {
    return 'response' in (response || {});
}
exports.isPlpBrowseDataResults = isPlpBrowseDataResults;
function isRangeFacet(facet) {
    return facet.type === 'range';
}
exports.isRangeFacet = isRangeFacet;
function isMultipleOrBucketedFacet(facet) {
    return facet.type === 'multiple';
}
exports.isMultipleOrBucketedFacet = isMultipleOrBucketedFacet;
function isSingleFacet(facet) {
    return facet.type === 'single';
}
exports.isSingleFacet = isSingleFacet;
function isHierarchicalFacet(facet) {
    return facet.type === 'hierarchical';
}
exports.isHierarchicalFacet = isHierarchicalFacet;
function isOptionFacet(facet) {
    return isMultipleOrBucketedFacet(facet) || isSingleFacet(facet) || isHierarchicalFacet(facet);
}
exports.isOptionFacet = isOptionFacet;
