import React from 'react';
export default function FilterOptionListRow(props) {
    const { id, displayValue, displayCountValue, isChecked, onChange, showCheckbox = true } = props;
    return (React.createElement("li", { className: 'cio-filter-multiple-option', key: id },
        React.createElement("label", { htmlFor: id },
            React.createElement("input", { type: 'checkbox', id: id, value: displayValue, checked: isChecked, onChange: () => onChange(id) }),
            showCheckbox && (React.createElement("div", { className: 'cio-checkbox' },
                React.createElement("svg", { width: '10', height: '8', viewBox: '0 0 10 8', fill: 'none', xmlns: 'http://www.w3.org/2000/svg', className: 'cio-check' },
                    React.createElement("path", { d: 'M1 4L3.5 6.5L9 1', stroke: 'white', strokeWidth: '1.7', strokeLinecap: 'round' })))),
            React.createElement("div", { className: 'cio-filter-multiple-option-display' },
                React.createElement("span", { className: 'cio-filter-option-name' }, displayValue),
                displayCountValue && (React.createElement("span", { className: 'cio-filter-option-count' }, displayCountValue))))));
}
