import React, { useState } from 'react';
import classNames from 'classnames';
import useGroups from '../../hooks/useGroups';
import FilterOptionListRow from '../Filters/FilterOptionListRow';
export default function Groups(props) {
    const { isCollapsed: isCollapsedDefault = false, title = 'Categories', children, groups } = props;
    const useGroupsReturn = useGroups(props);
    const { optionsToRender, breadcrumbs, initialNumOptions, selectedGroupId, onOptionSelect, goToGroupFilter, isShowAll, setIsShowAll, } = useGroupsReturn;
    const [isCollapsed, setIsCollapsed] = useState(isCollapsedDefault);
    if (breadcrumbs.length === 0 && optionsToRender.length === 0)
        return null;
    return (React.createElement(React.Fragment, null, typeof children === 'function' ? (children(useGroupsReturn)) : (React.createElement(React.Fragment, null,
        React.createElement("button", { className: 'cio-filter-header', type: 'button', onClick: () => setIsCollapsed(!isCollapsed) },
            title,
            React.createElement("i", { className: `cio-arrow ${isCollapsed ? 'cio-arrow-up' : 'cio-arrow-down'}` })),
        React.createElement("div", { className: classNames({
                'cio-collapsible-wrapper': true,
                'cio-collapsible-is-open': !isCollapsed,
            }) },
            React.createElement("div", { className: 'cio-collapsible-inner cio-groups cio-filter-groups-options-list' },
                React.createElement("div", { className: 'cio-groups-breadcrumbs' },
                    breadcrumbs.map((crumb) => (React.createElement("span", { key: crumb.path },
                        React.createElement("button", { className: 'cio-groups-crumb', onClick: () => goToGroupFilter(crumb), type: 'button' }, crumb.breadcrumb),
                        ' > '))),
                    React.createElement("span", { className: 'cio-groups-crumb' }, groups[0].displayName)),
                React.createElement("ul", null,
                    optionsToRender.map((option) => (React.createElement(FilterOptionListRow, { showCheckbox: false, key: option.groupId, id: option.groupId, displayValue: option.displayName, displayCountValue: option.count.toString(), isChecked: selectedGroupId === option.groupId, onChange: onOptionSelect }))),
                    initialNumOptions < groups[0].children.length && (React.createElement("button", { type: 'button', className: 'cio-see-all', onClick: () => setIsShowAll(!isShowAll) }, isShowAll ? 'Show Less' : 'Show All')))))))));
}
