import { useCioPlpContext } from './useCioPlpContext';
import useRequestConfigs from './useRequestConfigs';
export default function useFilter(props) {
    const { facets } = props;
    const contextValue = useCioPlpContext();
    if (!contextValue) {
        throw new Error('useFilter must be used within a component that is a child of <CioPlp />');
    }
    const { getRequestConfigs, setRequestConfigs } = useRequestConfigs();
    const { filters: requestFilters } = getRequestConfigs();
    const setFilter = (filterName, filterValue) => {
        const newFilters = requestFilters || {};
        newFilters[filterName] = filterValue;
        // Remove filter entirely
        if (filterValue === null) {
            delete newFilters[filterName];
        }
        setRequestConfigs({ filters: newFilters, page: 1 });
    };
    return {
        facets,
        setFilter,
    };
}
