import useProductSwatch from './useProductSwatch';
import { useCioPlpContext } from './useCioPlpContext';
import { tryCatchify } from '../utils';
const useProductInfo = ({ item }) => {
    const state = useCioPlpContext();
    const productSwatch = useProductSwatch({ item });
    if (!item.data || !item.itemId || !item.itemName) {
        throw new Error('data, itemId, or itemName are required.');
    }
    const getPrice = tryCatchify(state?.itemFieldGetters?.getPrice);
    const itemName = productSwatch?.selectedVariation?.itemName || item.itemName;
    const itemPrice = productSwatch?.selectedVariation?.price || getPrice(item);
    const itemImageUrl = productSwatch?.selectedVariation?.imageUrl || item.imageUrl;
    const itemUrl = productSwatch?.selectedVariation?.url || item.url;
    const variationId = productSwatch?.selectedVariation?.variationId;
    const { itemId } = item;
    return {
        productSwatch,
        itemName,
        itemPrice,
        itemImageUrl,
        itemUrl,
        variationId,
        itemId,
    };
};
export default useProductInfo;
