// eslint-disable-next-line import/prefer-default-export
export function getPrice(item) {
    return item.data.price;
}
export function getSwatches(item, retrievePrice, retrieveSwatchPreview) {
    const swatchList = [];
    item?.variations?.forEach((variation) => {
        if (retrieveSwatchPreview(variation)) {
            swatchList.push({
                itemName: variation?.itemName || item?.itemName,
                url: variation?.url || item?.url,
                imageUrl: variation?.url,
                variationId: variation?.variationId,
                price: retrievePrice(variation),
                swatchPreview: retrieveSwatchPreview(variation),
            });
        }
    });
    return swatchList;
}
export function getSwatchPreview(variation) {
    return variation?.data?.swatchPreview;
}
