import React from 'react';
import { GetBrowseResultsResponse, SearchResponse } from '@constructor-io/constructorio-client-javascript/lib/types';
import { GroupsProps } from '../Groups';
import { IncludeRenderProps } from '../../types';
import { UsePaginationProps } from '../../hooks/usePagination';
import { UseSortProps } from '../../hooks/useSort';
import { UseFilterProps } from '../../hooks/useFilter';
import useCioPlp from '../../hooks/useCioPlp';
export type CioPlpGridProps = {
    initialSearchResponse?: SearchResponse;
    initialBrowseResponse?: GetBrowseResultsResponse;
    spinner?: React.ReactNode;
    /**
     * Used to set `windowSize` of `pages` array. Can also override `resultsPerPage` set at the Provider-level.
     */
    paginationConfigs?: Omit<UsePaginationProps, 'totalNumResults'>;
    /**
     * No configurations available yet.
     */
    sortConfigs?: Omit<UseSortProps, 'sortOptions'>;
    /**
     * No configurations available yet.
     */
    filterConfigs?: Omit<UseFilterProps, 'facets'>;
    /**
     * Used to set the `initialNumOptions` to limit the number of options shown initially.
     */
    groupsConfigs?: Omit<GroupsProps, 'groups'>;
};
export type CioPlpGridWithRenderProps = IncludeRenderProps<CioPlpGridProps, ReturnType<typeof useCioPlp>>;
export default function CioPlpGrid(props: CioPlpGridWithRenderProps): React.JSX.Element | null;
