import { GetBrowseResultsResponse, SearchResponse } from '@constructor-io/constructorio-client-javascript/lib/types';
import { Nullable, PlpBrowseData, PlpSearchData } from '../../types';
export declare enum RequestStatus {
    STALE = "stale",
    FETCHING = "fetching",
    SUCCESS = "success",
    ERROR = "error"
}
export declare enum RequestType {
    SEARCH = "search",
    BROWSE = "browse"
}
export interface RequestState {
    status: RequestStatus;
    message?: string;
    search: Nullable<PlpSearchData>;
    browse: Nullable<PlpBrowseData>;
}
type RequestActionSuccess = {
    type: RequestStatus.SUCCESS;
    requestType: RequestType;
    payload: RequestState['search'] | RequestState['browse'];
};
type RequestActionError = {
    type: RequestStatus.ERROR;
    payload: string;
};
export type RequestAction = {
    type: RequestStatus.STALE | RequestStatus.FETCHING;
} | RequestActionError | RequestActionSuccess;
export declare const initialState: RequestState;
export declare function requestReducer(state: RequestState, action: RequestAction): RequestState;
export declare function initFunction(defaultState: RequestState, initialSearchResponse?: SearchResponse, initialBrowseResponse?: GetBrowseResultsResponse): RequestState;
export {};
