import React from 'react';
import { IncludeRenderProps } from '../../types';
import { UseFilterProps, UseFilterReturn } from '../../hooks/useFilter';
export type FiltersProps = UseFilterProps & {
    /**
     * The number of options to render for non-ranged facets.
     * The remaining options will be hidden under a "Show All" button
     */
    initialNumOptions?: number;
};
export type FiltersWithRenderProps = IncludeRenderProps<FiltersProps, UseFilterReturn>;
export default function Filters(props: FiltersWithRenderProps): React.JSX.Element;
