import { Nullable, GetBrowseResultsResponse } from '@constructor-io/constructorio-client-javascript/lib/types';
import { PlpBrowseData } from '../types';
import { RequestStatus } from '../components/CioPlpGrid/reducer';
export interface UseBrowseResultsProps {
    initialBrowseResponse?: GetBrowseResultsResponse;
}
export type UseBrowseResultsReturn = {
    status: RequestStatus | null;
    message?: string;
    data: Nullable<PlpBrowseData>;
    refetch: () => void;
    filterName?: string;
    filterValue?: string;
};
/**
 * A React Hook to call to utilize Constructor Browse
 * @param {object} [props.initialBrowseResponse] Initial value for browse results. Results will not be re-fetched on first render if this is provided
 */
export default function useBrowseResults(props?: UseBrowseResultsProps): UseBrowseResultsReturn;
