import { PlpItemGroup } from '../types';
export interface Breadcrumb {
    path: string;
    groupId: string;
    breadcrumb: string;
}
export interface UseCioBreadcrumbProps {
    /**
     * An array with all groups on the application.
     */
    groups: PlpItemGroup[];
    /**
     * Filter value of the current group the user is in.
     */
    filterValue: string;
}
export default function useCioBreadcrumb(props: UseCioBreadcrumbProps): {
    breadcrumbs: Breadcrumb[];
    currentPage: string | undefined;
    onBreadcrumbClick: (groupId: string) => void;
};
