import { PlpItemGroup } from '../types';
import { UseOptionsListProps } from './useOptionsList';
import { Breadcrumb } from './useCioBreadcrumb';
export interface UseGroupProps extends Omit<UseOptionsListProps<PlpItemGroup>, 'options'> {
    /**
     * Used to build and render the groups filter dynamically
     */
    groups: Array<PlpItemGroup>;
}
export default function useGroups(props: UseGroupProps): {
    groupOptions: PlpItemGroup[];
    setGroup: (groupId: string | null) => void;
    currentGroupId: string | null;
    selectedGroupId: string | null | undefined;
    setSelectedGroupId: import("react").Dispatch<import("react").SetStateAction<string | null | undefined>>;
    onOptionSelect: (groupId: string | null) => void;
    goToGroupFilter: (breadcrumb: Breadcrumb) => void;
    breadcrumbs: Breadcrumb[];
    currentPage: string | undefined;
    initialNumOptions: number;
    isShowAll: boolean;
    setIsShowAll: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    optionsToRender: PlpItemGroup[];
    setOptionsToRender: import("react").Dispatch<import("react").SetStateAction<PlpItemGroup[]>>;
};
