export interface UseOptionsListProps<T> {
    /**
     * Array of options to render.
     */
    options: Array<T>;
    /**
     * The number of options to render for non-ranged facets.
     * The remaining options will be hidden under a "Show All" button
     */
    initialNumOptions?: number;
}
export default function useOptionsList<T>(props: UseOptionsListProps<T>): {
    initialNumOptions: number;
    isShowAll: boolean;
    setIsShowAll: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    optionsToRender: T[];
    setOptionsToRender: import("react").Dispatch<import("react").SetStateAction<T[]>>;
};
