export interface UsePaginationProps {
    /**
     * Total number of results returned by the API response
     */
    totalNumResults: number;
    /**
     * Number of results returned per page
     */
    resultsPerPage?: number;
    /**
     * Number of pages to display in the pagination window
     */
    windowSize?: number;
}
export interface UsePaginationReturn {
    currentPage: number | undefined;
    goToPage: (page: number) => void;
    nextPage: () => void;
    prevPage: () => void;
    totalPages: number;
    /**
     *  Returns an array of numbers [1,2,3,4,-1,10]
     *  1,10 are first and last page
     *  -1 indicates a break (e.g., to show "...")
     *  [1, 2, 3, 4, ..., 10] */
    pages: number[];
}
export type UsePagination = (props: UsePaginationProps) => UsePaginationReturn;
declare const usePagination: UsePagination;
export default usePagination;
