import { Nullable, SearchResponse } from '@constructor-io/constructorio-client-javascript/lib/types';
import { PlpSearchData } from '../types';
import { RequestStatus } from '../components/CioPlpGrid/reducer';
export interface UseSearchResultsProps {
    initialSearchResponse?: SearchResponse;
}
export interface UseSearchResultsReturn {
    query?: string;
    status: RequestStatus | null;
    message?: string;
    data: Nullable<PlpSearchData>;
    refetch: () => void;
}
/**
 * A React Hook to call to utilize Constructor Search
 * @param {Object} [props] - The component props.
 * @param {object} [props.initialSearchResponse] Initial value for search results
 * (Would be useful when passing initial state for the first render from the server
 *  to the client via something like getServerSideProps)
 * @returns {status, data, pagination, refetch}
 */
export default function useSearchResults(props?: UseSearchResultsProps): UseSearchResultsReturn;
